zabbix_export:
  version: '6.0'
  date: '2025-10-17T06:48:17Z'
  groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: a08690eda9db4a56abfe217e32dd0488
      template: Template
      name: Template
      description: |
        Test Template to share infos for this ticket
        https://support.zabbix.com/browse/ZBX-27106
      groups:
        - name: Templates
      items:
        - uuid: 17b0343befce46dfb0eef6e7cd5a60f5
          name: Item
          type: TRAP
          key: item
          delay: '0'
          history: 1d
          trends: '0'
          value_type: TEXT
          allowed_hosts: '{HOST.HOST},{HOST.NAME},{HOST.IP},{HOST.DNS},localhost'
          tags:
            - tag: Application
              value: Item
      discovery_rules:
        - uuid: 077258c7c4244499805fa1565db538b3
          name: 'App Services'
          type: DEPENDENT
          key: item.app
          delay: '0'
          filter:
            evaltype: OR
            conditions:
              - macro: '{#ROLEADMIN}'
                value: '1'
                formulaid: A
              - macro: '{#ROLEAPP}'
                value: '1'
                formulaid: B
          lifetime: 1d
          item_prototypes:
            - uuid: 064e83f449ac4d149663d1ba862b1e9b
              name: 'replaced_application_name Version ({#NAME})'
              key: 'composer.version[replaced_company_name/replaced_application_name,/data/{#DATADIRMACRO}/replaced_application_name/composer.lock]'
              delay: 15m
              history: 30d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: 9af26ed6d90341ab9314ca7625b1dee4
              name: 'replaced_application_name Website Status Check (Login Page)'
              key: 'http.status[https://{$HOST_DIRECT_PREFIX}-{#DOMAIN}/login]'
              history: 7d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: 0b85efde12df436d80c6cd715d1e516e
              name: 'replaced_application_name Website Status Check (Status API)'
              key: 'http.status[https://{$HOST_DIRECT_PREFIX}-{#DOMAIN}/status/api]'
              history: 7d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: 1c8d0bf9e1794268a231039e75c22b66
              name: 'replaced_application_name Website Status Check (Status Frontend)'
              key: 'http.status[https://{$HOST_DIRECT_PREFIX}-{#DOMAIN}/status/frontend]'
              history: 7d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: d8784d1bc1a44c0dbecd55d9e096cdcd
              name: 'App Directory Size'
              type: TRAP
              key: 'replaced_application_name.appsize[/data/{#DATADIRMACRO}/]'
              delay: '0'
              history: 30d
              units: B
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
              trigger_prototypes:
                - uuid: f23bc25dc4174fbd8784ea4767716e4b
                  expression: 'nodata(/Template/replaced_application_name.appsize[/data/{#DATADIRMACRO}/],44000s)=1'
                  name: 'No folder size reported for {#NAME} on {HOSTNAME}'
                  priority: WARNING
            - uuid: 4cc8baf7cd2e45d2adfdb0b51f11c74e
              name: 'Maintenance Job Error Log'
              key: 'vfs.file.contents[/data/{#DATADIRMACRO}/maintenance-error.log]'
              history: 7d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: 88bf77cec65c4681822ebce274f1e945
              name: './var is mounted to NFS share'
              key: 'vfs.file.exists[/data/{#DATADIRMACRO}/replaced_application_name/var/.nfs]'
              history: 7d
              valuemap:
                name: 'Mount State'
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: c716535d88ec4bf1a555d8000d6037d0
              name: './web is mounted to NFS share'
              key: 'vfs.file.exists[/data/{#DATADIRMACRO}/replaced_application_name/web/.nfs]'
              history: 7d
              valuemap:
                name: 'Mount State'
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: 4281358ffc174499956c96c67495db64
              name: 'Maintenance Job error-log size'
              key: 'vfs.file.size[/data/{#DATADIRMACRO}/maintenance-error.log]'
              history: 30d
              units: B
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
              trigger_prototypes:
                - uuid: 4397d69051ba46d087811ff09c91489b
                  expression: 'min(/Template/vfs.file.size[/data/{#DATADIRMACRO}/maintenance-error.log],30m)>0'
                  name: 'Maintenance reports error for {#NAME} on {HOSTNAME} (instatus.com)'
                  priority: AVERAGE
                  tags:
                    - tag: Backend
                      value: DEGRADEDPERFORMANCE
            - uuid: 19d1f9929a844def86ced52e59bfc52f
              name: 'Last Composer Update'
              key: 'vfs.file.time[/data/{#DATADIRMACRO}/replaced_application_name/composer.lock,modify]'
              delay: 15m
              history: 30d
              units: unixtime
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
            - uuid: 3c982f71378d490095303d990bc8828b
              name: 'replaced_application_name Website Check (Login Page)'
              key: 'web.page.regexp[https://{$HOST_DIRECT_PREFIX}-{#DOMAIN}/login,,,"window\.\_replaced_application_name"]'
              history: 7d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'App Services {#NAME}'
          trigger_prototypes:
            - uuid: cf2d572f8edd4647b4f22ffb07c5117a
              expression: 'min(/Template/vfs.file.size[/data/{#DATADIRMACRO}/maintenance-error.log],30m)>0 and length(last(/Template/vfs.file.contents[/data/{#DATADIRMACRO}/maintenance-error.log]))>0'
              name: 'Maintenance reports error for {#NAME} on {HOSTNAME}'
              priority: AVERAGE
          master_item:
            key: item
        - uuid: 2b2cff2ad36f46a8b7379c5e18d86085
          name: Backup
          type: DEPENDENT
          key: item.backup
          delay: '0'
          filter:
            conditions:
              - macro: '{#ROLEBACKUP}'
                value: '1'
                formulaid: A
          item_prototypes:
            - uuid: e6fbbb32d8624911a1ef9476b2e9ed41
              name: 'App Backup Last 7 hours'
              key: 'vfs.dir.count[/backups/{#DATADIRMACRO}/app/,,,,,,,,,7h]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
              trigger_prototypes:
                - uuid: 0fabb42e34ef4f398ed55190b1554ebe
                  expression: 'last(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/app/,,,,,,,,,7h])=0'
                  name: 'No App Backup since 7h for Customer {#NAME}'
                  status: DISABLED
                  discover: NO_DISCOVER
                  priority: WARNING
                  dependencies:
                    - name: 'No data for App Backup Check for Customer {#NAME}'
                      expression: 'nodata(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/app/,,,,,,,,,7h],10m)=1'
                  tags:
                    - tag: Backup
                    - tag: Customer-Specific
                - uuid: 5de173e2d8d64c50a117ff0776b58016
                  expression: 'nodata(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/app/,,,,,,,,,7h],10m)=1'
                  name: 'No data for App Backup Check for Customer {#NAME}'
                  priority: INFO
                  tags:
                    - tag: Customer-Specific
                    - tag: NODATA
            - uuid: 637788a0114842939c0769491294debe
              name: 'App Backup Total'
              key: 'vfs.dir.count[/backups/{#DATADIRMACRO}/app/]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
            - uuid: 3e0fbe805f2e4b459b7dd2a521f7a2ba
              name: 'Database Data Backup Last 7 hours'
              key: 'vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+data\.sql\.gz$",,,,,,,,7h]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
              trigger_prototypes:
                - uuid: f22c1510550343ad8e2f4949867e4e3b
                  expression: 'last(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+data\.sql\.gz$",,,,,,,,7h])=0'
                  name: 'No Database Data Backup since 7h for Customer {#NAME}'
                  priority: WARNING
                  dependencies:
                    - name: 'No data for Database Data Backup Check for Customer {#NAME}'
                      expression: 'nodata(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+data\.sql\.gz$",,,,,,,,7h],10m)=1'
                  tags:
                    - tag: Backup
                    - tag: Customer-Specific
                - uuid: 228e1c2d61134322b7c3e3d00b0f8a03
                  expression: 'nodata(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+data\.sql\.gz$",,,,,,,,7h],10m)=1'
                  name: 'No data for Database Data Backup Check for Customer {#NAME}'
                  priority: INFO
                  tags:
                    - tag: Customer-Specific
                    - tag: NODATA
            - uuid: bca903e3df4a4711a7489aeeac9b169b
              name: 'Database Data Backup Total'
              key: 'vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+data\.sql\.gz$"]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
            - uuid: df85202c7d8540d29368b62b8853d4c6
              name: 'Database Schema Backup Last 7 hours'
              key: 'vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+schema\.sql\.gz$",,,,,,,,7h]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
              trigger_prototypes:
                - uuid: e420b2c65f0c48748d512861969fb623
                  expression: 'last(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+schema\.sql\.gz$",,,,,,,,7h])=0'
                  name: 'No Database Schema Backup since 7h for Customer {#NAME}'
                  priority: WARNING
                  dependencies:
                    - name: 'No data for Database Schema Backup Check for Customer {#NAME}'
                      expression: 'nodata(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+schema\.sql\.gz$",,,,,,,,7h],10m)=1'
                  tags:
                    - tag: Backup
                    - tag: Customer-Specific
                - uuid: b27d4938efef41d7bf1a84b75b7ce9b4
                  expression: 'nodata(/Template/vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+schema\.sql\.gz$",,,,,,,,7h],10m)=1'
                  name: 'No data for Database Schema Backup Check for Customer {#NAME}'
                  priority: INFO
                  tags:
                    - tag: Customer-Specific
                    - tag: NODATA
            - uuid: b77cee3ad81845f6b84c391977979a5f
              name: 'Database Schema Backup Total'
              key: 'vfs.dir.count[/backups/{#DATADIRMACRO}/data/, "(?i)^.+schema\.sql\.gz$"]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
            - uuid: 85a615ad6c484d4ab08d12784b5f0e8b
              name: 'Backup Storage Size'
              key: 'vfs.dir.size[/backups/{#DATADIRMACRO}/]'
              history: 7d
              units: B
              tags:
                - tag: Application
                  value: 'Backups {#NAME}'
          master_item:
            key: item
        - uuid: 2b7176ef6ba04eb19f36f7acbc2cd7db
          name: 'DB Services'
          type: DEPENDENT
          key: item.db
          delay: '0'
          filter:
            evaltype: OR
            conditions:
              - macro: '{#ROLEDBM}'
                value: '1'
                formulaid: A
          lifetime: 1d
          item_prototypes:
            - uuid: 451036f85a524bdeafcec2c0a36cc88f
              name: 'Count of Accountlines with pending or error monitoring'
              key: 'mysql.monitoring.errors["{$MYSQL.HOST}","{$MYSQL.PORT}","{#UID}"]'
              delay: 5m
              history: 7d
              trends: 30d
              tags:
                - tag: Application
                  value: 'Database Monitoring {#NAME}'
              trigger_prototypes:
                - uuid: 7ae52de5fcdd42d7843a02774e639a73
                  expression: 'last(/Template/mysql.monitoring.errors["{$MYSQL.HOST}","{$MYSQL.PORT}","{#UID}"])>0'
                  name: '{#NAME}: Accountlines with error / due transfer to monitoring system'
                  priority: AVERAGE
          master_item:
            key: item
        - uuid: 31140f45938143ae864a1b8b8581c4f3
          name: 'LB Services'
          type: DEPENDENT
          key: item.lb
          delay: '0'
          filter:
            evaltype: OR
            conditions:
              - macro: '{#ROLELB}'
                value: '1'
                formulaid: A
          lifetime: 1d
          item_prototypes:
            - uuid: 8aa7fad6629546c19ff30e46e5bc2cb8
              name: 'replaced_application_name Website Status Check (Login Page)'
              key: 'http.status[https://{#DOMAIN}/login]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Frontend Services {#NAME}'
            - uuid: e1bd9dd4384449e0a48a5bb6cf7c6d2f
              name: 'replaced_application_name Website Status Check (API Status)'
              key: 'http.status[https://{#DOMAIN}/status/api]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Frontend Services {#NAME}'
            - uuid: 10a1304d82df4de5a65d540a8afa3457
              name: 'replaced_application_name Website Status Check (Frontend Status)'
              key: 'http.status[https://{#DOMAIN}/status/frontend]'
              history: 30d
              tags:
                - tag: Application
                  value: 'Frontend Services {#NAME}'
            - uuid: 778ffeaa884546de9024efc3d244046b
              name: 'replaced_application_name Website Content Check'
              key: 'web.page.regexp[https://{#DOMAIN}/login,,,"window\.\_replaced_application_name"]'
              delay: 5m
              history: 1d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'Frontend Services {#NAME}'
            - uuid: 4308038d9ac441f89b51d3bd0d25f867
              name: 'replaced_application_name Website Content Check (API Status)'
              key: 'web.page.regexp[https://{#DOMAIN}/status/api,,,"OK"]'
              history: 1d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'Frontend Services {#NAME}'
            - uuid: af4679b567e248189f818832987cbd27
              name: 'replaced_application_name Website Content Check (Frontend Status)'
              key: 'web.page.regexp[https://{#DOMAIN}/status/frontend,,,"OK"]'
              history: 1d
              trends: '0'
              value_type: TEXT
              tags:
                - tag: Application
                  value: 'Frontend Services {#NAME}'
          trigger_prototypes:
            - uuid: 852d29ff07714a2881a8981afd372a64
              expression: 'last(/Template/web.page.regexp[https://{#DOMAIN}/status/api,,,"OK"])<>"OK" or last(/Template/http.status[https://{#DOMAIN}/status/api])<>200'
              name: 'API Error for {#NAME} on {HOSTNAME}'
              url: 'https://{#DOMAIN}/'
              priority: HIGH
            - uuid: 4e4013d9e5eb4c8b85d71800c2919c6c
              expression: 'last(/Template/web.page.regexp[https://{#DOMAIN}/status/api,,,"OK"])<>"OK" or last(/Template/http.status[https://{#DOMAIN}/status/api])<>200'
              name: 'API Error for {#NAME} on {HOSTNAME} (instatus.com)'
              url: 'https://{#DOMAIN}/'
              priority: AVERAGE
              tags:
                - tag: API
                  value: PARTIALOUTAGE
            - uuid: 6272260eeb3b497aa62e94fd612feab7
              expression: |
                (last(/Template/web.page.regexp[https://{#DOMAIN}/login,,,"window\.\_replaced_application_name"])<>"window._replaced_application_name" and last(/Template/http.status[https://{#DOMAIN}/login])<>302) or 
                last(/Template/web.page.regexp[https://{#DOMAIN}/status/frontend,,,"OK"])<>"OK" or 
                last(/Template/http.status[https://{#DOMAIN}/status/frontend])<>200
              name: 'Frontend Error for {#NAME} on {HOSTNAME}'
              url: 'https://{#DOMAIN}/'
              priority: HIGH
            - uuid: 6e66bf9ae7e4480cadcfb6d609f736b4
              expression: |
                (last(/Template/web.page.regexp[https://{#DOMAIN}/login,,,"window\.\_replaced_application_name"])<>"window._replaced_application_name" and last(/Template/http.status[https://{#DOMAIN}/login])<>302) or 
                last(/Template/web.page.regexp[https://{#DOMAIN}/status/frontend,,,"OK"])<>"OK" or 
                last(/Template/http.status[https://{#DOMAIN}/status/frontend])<>200
              name: 'Frontend Error for {#NAME} on {HOSTNAME} (instatus.com)'
              url: 'https://{#DOMAIN}/'
              priority: AVERAGE
              tags:
                - tag: Frontend
                  value: PARTIALOUTAGE
          master_item:
            key: item
      valuemaps:
        - uuid: 3de04f3117954c75a4b6e031abcbe97c
          name: 'Mount State'
          mappings:
            - value: '0'
              newvalue: 'not mounted'
            - value: '1'
              newvalue: mounted
